use bitfinex::api::Bitfinex;
use bitfinex::ticker::TradingPairTicker;
use tokio::time::{Duration, delay_for};

use crate::bot::BfxBot;
use crate::currency::{Symbol, SymbolPair};

mod ticker;
mod events;
mod pairs;
mod positions;
mod strategy;
mod bot;
mod currency;


pub type BoxError = Box<dyn std::error::Error + Send + Sync>;

#[tokio::main]
async fn main() -> Result<(), BoxError> {
    let test_api_key = "P1EVE68DJByDAkGQvpIkTwfrbYXd2Vo2ZaIhTYb9vx2";
    let test_api_secret = "1nicg8z0zKVEt5Rb7ZDpIYjVYVTgvCaCPMZqB0niFli";

    let mut bot = BfxBot::new(test_api_key, test_api_secret, vec![Symbol::BTC, Symbol::ETH, Symbol::XMR], Symbol::USD, Duration::new(20, 0));

    loop {
        let ticker = bot.current_prices("ETH".into()).await?;
        bot.update().await;

        // let ticker = bot.current_prices("ETH".into()).await?;
        println!("{:?}", ticker);
    }

    Ok(())
}
